org.eclipse.viatra.addon.databinding.runtime.adapter

## Class MatcherProperties

- java.lang.Object
- - org.eclipse.viatra.addon.databinding.runtime.adapter.MatcherProperties

-     public class MatcherProperties
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `MatcherProperties.MatcherLabelProperty`
    `protected static class` | `MatcherProperties.MatcherProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatcherProperties()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.eclipse.core.databinding.observable.value.IObservableValue` | `getObservableValue(IQuerySpecification query, IPatternMatch match, java.lang.String parameterName)` Returns an observable value for the given match and parameterName.
    `static java.lang.String[]` | `getPropertyNames(IQuerySpecification query)` Returns the array of observable values based on a VIATRA Query specification.
    `static org.eclipse.core.databinding.property.value.IValueProperty` | `getValueProperty(IQuerySpecification query, java.lang.String parameterName)` Returns an IValueProperty for the given query specification and parameterName.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MatcherProperties

          public MatcherProperties()

  - ### Method Detail

    - #### getPropertyNames

          public static java.lang.String[] getPropertyNames(IQuerySpecification query)

      Returns the array of observable values based on a VIATRA Query specification.
      Parameters:
        `The` - query specification
      Returns:
        the array of values

    - #### getObservableValue

          public static org.eclipse.core.databinding.observable.value.IObservableValue getObservableValue(IQuerySpecification query,
                                                                                                          IPatternMatch match,
                                                                                                          java.lang.String parameterName)

      Returns an observable value for the given match and parameterName.
      Parameters:
        `query` - the query specification
        `match` - the match object
        `parameterName` - the parameter name
      Returns:
        an observable value

    - #### getValueProperty

          public static org.eclipse.core.databinding.property.value.IValueProperty getValueProperty(IQuerySpecification query,
                                                                                                    java.lang.String parameterName)

      Returns an IValueProperty for the given query specification and parameterName.
      Parameters:
        `query` - the query specification
        `parameterName` - the parameter name
      Returns:
        a value property